/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.user.associated.data.web.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Drew Brokke
 */
@ExtendedObjectClassDefinition(
	category = "users", factoryInstanceLabelAttribute = "companyId",
	scope = ExtendedObjectClassDefinition.Scope.SYSTEM
)
@Meta.OCD(
	factory = true,
	id = "com.liferay.user.associated.data.web.internal.configuration.AnonymousUserConfiguration",
	localization = "content/Language",
	name = "anonymous-user-configuration-name"
)
public interface AnonymousUserConfiguration {

	@Meta.AD(
		deflt = "0", description = "company-id-description",
		name = "company-id", required = false
	)
	public long companyId();

	@Meta.AD(
		deflt = "0", description = "user-id-description", name = "user-id",
		required = false
	)
	public long userId();

}