/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.user.associated.data.web.internal.display;

import java.util.Date;

/**
 * @author Pei-Jung Lan
 */
public class UADApplicationExportDisplay {

	public UADApplicationExportDisplay(
		String applicationKey, int dataCount, boolean exportSupported,
		Date lastExportDate) {

		_applicationKey = applicationKey;
		_dataCount = dataCount;
		_exportSupported = exportSupported;
		_lastExportDate = lastExportDate;
	}

	public String getApplicationKey() {
		return _applicationKey;
	}

	public int getDataCount() {
		return _dataCount;
	}

	public Date getLastExportDate() {
		return _lastExportDate;
	}

	public boolean isExportSupported() {
		return _exportSupported;
	}

	private final String _applicationKey;
	private final int _dataCount;
	private final boolean _exportSupported;
	private final Date _lastExportDate;

}