/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.user.associated.data.web.internal.search;

import com.liferay.portal.kernel.dao.search.EmptyOnClickRowChecker;
import com.liferay.user.associated.data.web.internal.display.UADApplicationExportDisplay;

import javax.portlet.PortletResponse;

/**
 * @author Pei-Jung Lan
 */
public class UADApplicationExportDisplayChecker extends EmptyOnClickRowChecker {

	public UADApplicationExportDisplayChecker(PortletResponse portletResponse) {
		super(portletResponse);
	}

	@Override
	public boolean isDisabled(Object obj) {
		UADApplicationExportDisplay uadApplicationExportDisplay =
			(UADApplicationExportDisplay)obj;

		if (!uadApplicationExportDisplay.isExportSupported() ||
			(uadApplicationExportDisplay.getDataCount() == 0)) {

			return true;
		}

		return false;
	}

}