/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.user.associated.data.web.internal.util;

import com.liferay.petra.string.StringPool;
import com.liferay.portal.kernel.util.HtmlUtil;
import com.liferay.portal.kernel.util.StringUtil;

/**
 * @author Drew Brokke
 */
public class SafeDisplayValueUtil {

	public static String get(Object unsafeValue) {
		if (unsafeValue == null) {
			return StringPool.BLANK;
		}

		String unsafeValueString = String.valueOf(unsafeValue);

		String escapedString = HtmlUtil.escape(unsafeValueString);

		return StringUtil.shorten(escapedString, 200);
	}

}